[xmds2] 02/02: Add triggers and consumer code for reconfiguring xmds2

Rafael Laboissière rlaboiss-guest at moszumanska.debian.org
Thu Jan 9 22:17:52 UTC 2014


This is an automated email from the git hooks/post-receive script.

rlaboiss-guest pushed a commit to branch site-wide-conf
in repository xmds2.

commit 116cf68ec10c50b824448693ed0bcd2a76497879
Author: Rafael Laboissiere <rafael at laboissiere.net>
Date:   Thu Jan 9 17:55:09 2014 +0100

    Add triggers and consumer code for reconfiguring xmds2
---
 debian/xmds2.postinst | 28 ++++++++++++++++++++++++++++
 debian/xmds2.triggers |  7 +++++++
 2 files changed, 35 insertions(+)

diff --git a/debian/xmds2.postinst b/debian/xmds2.postinst
new file mode 100644
index 0000000..7548a23
--- /dev/null
+++ b/debian/xmds2.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+# postinst script for xmds2
+#
+
+set -e
+
+case "$1" in
+    configure|triggered)
+        if [ "$1" = configure ] ; then
+            echo "Configuring xmds2 ... "
+        else
+            echo "Reconfiguring xmds2 ... "
+        fi
+        xmds2 --reconfigure > /etc/xmds/reconfigure.log 2>&1
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/xmds2.triggers b/debian/xmds2.triggers
new file mode 100644
index 0000000..7305fe5
--- /dev/null
+++ b/debian/xmds2.triggers
@@ -0,0 +1,7 @@
+interest /usr/bin/g++
+interest /usr/include/fftw3.h
+interest /usr/include/fftw3-mpi.h
+interest /usr/include/gsl
+interest /usr/include/hdf5.h
+interest /usr/lib/atlas-base
+interest /usr/lib/openmpi/include

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/xmds2.git



More information about the debian-science-commits mailing list